## org.apache.tomcat.util.threads
Interface ThreadPoolRunnable

All Known Implementing Classes:
  Expirer

public interface ThreadPoolRunnable

Implemented if you want to run a piece of code inside a thread pool.

Method Summary
`java.lang.Object[]` `getInitData()` Called when this object is first loaded in the thread pool.
`void` `runIt(java.lang.Object[] thData)` This method will be executed in one of the pool's threads.

Method Detail

### getInitData

    public java.lang.Object[] getInitData()

  Called when this object is first loaded in the thread pool. Important: all workers in a pool must be of the same type, otherwise the mechanism becomes more complex.

### runIt

    public void runIt(java.lang.Object[] thData)

  This method will be executed in one of the pool's threads. The thread will be returned to the pool.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.